// CGfxSubBoard - [2020-04-13 11:57:46]
#ifndef _CGFXSUBBOARD_H_
#define _CGFXSUBBOARD_H_

#include "common.h"
#include "CGfxProp.h"

/*

00190060 CGfxSubBoard::CGfxSubBoard()
001900A0 CGfxSubBoard::~CGfxSubBoard()
001900DC CGfxSubBoard::~CGfxSubBoard()
001900EC CGfxSubBoard::SetAddedTime(int)
001900FC CGfxSubBoard::LoadTextures()
001902A4 CGfxSubBoard::SetPlayerSubPlayers(int,int,int)
00190308 CGfxSubBoard::FreeTextures()
00190374 CGfxSubBoard::Render(bool)
*/
// CGfxNIS::Init确定CGfxSubBoard大小为76Byte
class CGfxSubBoard : public CGfxProp {
public:
  CGfxSubBoard();  // 00190060

  //虚表
  virtual ~CGfxSubBoard();      // 001900A0 001900DC
  virtual void Render(bool b);  // 00190374

  void SetAddedTime(int);                   // 001900EC
  void LoadTextures();                      // 001900FC
  void SetPlayerSubPlayers(int, int, int);  // 001902A4
  void FreeTextures();                      // 00190308

  //类数据
  static int ms_iTexIDs[5];          // 0033F928
  static int ms_iModelMaterials[5];  // 0033F93C
  static int ms_iSubOnNumber;        // 004626A8
  static int ms_iSubOffNumber;       // 004626AC
};

#endif  //_CGFXSUBBOARD_H_